summaryrefslogtreecommitdiffstats
path: root/debian/bind9-host.postinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:00:37 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:00:37 +0000
commitf157715ccd6548e1bef686dbd6eed058b192ae09 (patch)
tree973a3467b97b78c03da10698dc5fd2e1d74cfb97 /debian/bind9-host.postinst
parentUsing update-alternatives to handle /usr/bin/nsupdate. (diff)
downloadbind9-f157715ccd6548e1bef686dbd6eed058b192ae09.tar.xz
bind9-f157715ccd6548e1bef686dbd6eed058b192ae09.zip
Using update-alternatives to handle /usr/bin/host.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/bind9-host.postinst')
-rw-r--r--debian/bind9-host.postinst25
1 files changed, 25 insertions, 0 deletions
diff --git a/debian/bind9-host.postinst b/debian/bind9-host.postinst
new file mode 100644
index 0000000..0f149fd
--- /dev/null
+++ b/debian/bind9-host.postinst
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+ configure)
+ # update-alternatives: host
+ update-alternatives --quiet \
+ --install /usr/bin/host host /usr/bin/host.bind9 20 \
+ --slave /usr/share/man/man1/host.1.gz host.1.gz /usr/share/man/man1/host.bind9.1.gz
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0